<template>
	<el-radio-group v-model="mode" v-bind="$attrs">
		<el-radio-button v-for="item in order" :key="item" :label="item">{{ modeTypeMap[item] }}</el-radio-button>
	</el-radio-group>
</template>

<script setup lang="ts">
import { PropType } from 'vue';
import { DisplayModeType, displayModeTypeMap } from './types';

const props = defineProps({
	order: {
		type: Array<DisplayModeType>,
		default: () => [DisplayModeType.Chart, DisplayModeType.List],
	},
	modeTypeMap: {
		type: Object as PropType<any>,
		default: () => displayModeTypeMap,
	},
});

const mode = defineModel({
	type: String as PropType<DisplayModeType>,
	default: DisplayModeType.Chart,
});
</script>
<style scoped lang="scss"></style>
